Loading...

The U.S. Department of Health and Human Services (HHS) has warned hospitals about the actively exploited Citrix Bleed vulnerability used by ransomware gangs to breach networks, emphasizing the urgent need for patching.

Leave a Comment